#!/bin/sh

mkdir -p deploy/love

# make sure we have löve
cd deploy/love
if [ ! -e love-0.8.0-win-x86.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-win-x86.zip
    unzip love-0.8.0-win-x86.zip || exit 1
fi
if [ ! -e love-0.8.0-macosx-ub.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-macosx-ub.zip
    unzip love-0.8.0-macosx-ub.zip || exit 1
fi
cd ../..

# make the love file
V=`bzr version-info --custom --template={revno}`
echo "VERSION = '$V'" >version.lua
rm -f deploy/ld26.love
bzr ls -RV |zip -q@ deploy/ld26.love
bzr revert --no-backup version.lua

cd deploy

# package win32
rm -rf ld26-win32 ld26-win32.zip
mkdir ld26-win32
cat love/love-0.8.0-win-x86/love.exe ld26.love >ld26-win32/ld26.exe
cp love/love-0.8.0-win-x86/*.dll ld26-win32
# TODO: this is a spot I could copy a README, LICENSE, or VERSION file in.
zip -qr ld26-win32.zip ld26-win32

# package osx
rm -rf ld26.app ld26-macosx.zip
cp -r love/love.app ld26.app
cp ld26.love ld26.app/Contents/Resources/
cp ../Info.plist ld26.app/Contents/
zip -qry ld26-macosx.zip ld26.app

cd ..
